DGVALIDATOR(1)

NAME
dgvalidator - drumgizmo drumkit validator

SYNOPSIS
dgvalidator [OPTIONS] <FILE>

DESCRIPTION

Dgvalidator is a simple validator tool for drumgizmo drumkit files.

Dgvalidator will try to load the drumkit pointed to by drumkitfile and validate it. It validates both the xml in the drumkit and all instrument files referred in it as well as the the semantics of the contents - including checking for the existence and validity of all audiofiles referred by the instruments.

OPTIONS

-n, --no-audio
    Skip checking audio file existence and samplerate.

-v, --verbose
    Print more info during validation. Can be added multiple times to increase output verbosity.

-q, --quiet
    Don't print any output, even on errors.

-V, --version
    Print version and exit.

-h, --help
    Print this message and exit.

-D, --debug DDD
    Enable debug messages on DDD see hugin documentation for details.

drumkitfile
    The drumkitfile to verify.

EXIT STATUS
Exit status is 0 if no error are found and 1 if validation fails.

BUGS
Report bugs to http://www.drumgizmo.org/wiki/doku.php?id=bugs.

ADDITIONAL INFORMATION
For further information, visit the website http://www.drumgizmo.org.